<meta charset="utf-8">
<h1>JavaScript: formulário</h1>
<style>
    .msg {
        padding: 15px 25px;
        border-radius: 5px;
        border: 1px solid #ddd;
        background-color: #f2f2f2;
    }

    .msg-erro,
    .destacar {
        border-color: #db2323;
        color: #db2323;
        background-color: #fff0f0;
    }

    .msg-sucesso {
        border-color: #30cf6c;
        color: #30cf6c;
        background-color: #e3ffee;
    }

    label {
        display: block;
        margin-bottom: 10px;
    }

    form {
        width: 400px;
        margin-top: 20px;
    }

    body {
        padding: 60px;
        font-family: Arial, Helvetica, sans-serif;
    }

    input {
        width: 100%;
        border: 1px solid #ccc;
        padding: 12px;
        box-sizing: border-box;
    }

    button {
        border-radius: 5px;
        border: none;
        background: green;
        color: #fff;
        padding: 15px 35px;
    }

    .escondida {
        display: none;
    }
</style>

<form action="">
    <label for="">
        * Nome:
        <br>
        <input type="text" data-mensagem="Nome é obrigatório!" class="obrigatorio">
    </label>
    <label for="">
        * E-mail:
        <br>
        <input type="text" data-mensagem="E-mail é obrigatório" class="obrigatorio">
    </label>
    <label for="">
        Telefone:
        <br>
        <input type="text" data-mensagem="Telefone é obrigatorio!" class="">
    </label>
    <button>Enviar</button>
</form>

<script>

    const formulario = document.querySelector('form');
    // criar elementos em memória document.createElement()
    const divMsg = document.createElement('div');
    divMsg.classList.add('msg', 'msg-sucesso');

    formulario.addEventListener('submit', function(event) {
        event.preventDefault(); // bloqueia o recarregamento da página
        const camposObrigatorios = formulario.querySelectorAll('.obrigatorio');
        const mensagensErro = [];

        for (let campo of camposObrigatorios)
        {
            if (campo.value === '') {
                campo.classList.add('destacar');
                mensagensErro.push( campo.dataset.mensagem );
            }
            else {
                campo.classList.remove('destacar');
            }
        }

        if (mensagensErro.length > 0)
        {
            divMsg.innerHTML = `
                <strong>Atenção!</strong><br>
                ${mensagensErro.join('<br>')}
            `;

            divMsg.classList.replace('msg-sucesso', 'msg-erro');
        }
        else
        {
            divMsg.textContent = 'Cadastro realizado com sucesso!';
            divMsg.classList.replace('msg-erro', 'msg-sucesso');
        }

        // formulario.prepend(divMsg);
        // formulario.append(divMsg);
        formulario.insertAdjacentElement('afterend', divMsg);
    });

</script>